Subject: bug#11731: gnus-summary-rescan-group loses expirable marks

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jun 2012 19:56:18 +0200

Dave Abrahams <[email-masked]> writes:

> I'm confused.  According to the docs gnus-summary-rescan-group is
> supposed to "Exit the newsgroup, ask for new articles, and select the
> newsgroup."  However, when I use it, articles I've marked expirable
> remain in the group and lose their expirable marks.  I was expecting
> those articles to be deleted, as that's what happens when I actually
> exit and re-enter the group.

That function basically just calls `gnus-summary-exit', so whatever
happens when that command is called should also happen when
`gnus-summary-rescan-group', as far as I can tell from the code.

Do you have any hooks or customisations that may do something odd here?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/